Skip to content

스킬 수정 Tier 4

PATCH/api/skills/:idCopied!

워크스페이스 스킬을 수정합니다.

Pro 플랜 필요

Skill Registry는 Pro 플랜 이상부터 사용할 수 있습니다.

YouViCo 관리형 스킬

YouViCo 관리형 스킬에는 이 엔드포인트를 사용할 수 없습니다.

예시

ts
await client.skills.update("SK1234567890ABCD", {
  description: "Summarizes review comments.",
  metadata: null,
  allowedTools: null,
  license: null,
  default: { id: "SV1234567890ABCD" },
});
bash
youvico skill update \
  --id SK1234567890ABCD \
  --description "Summarizes review comments." \
  --clear-metadata \
  --clear-allowed-tools \
  --clear-license \
  --default-version SV1234567890ABCD
bash
curl -X PATCH 'https://api.youvico.com/api/skills/SK1234567890ABCD' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "description": "Summarizes review comments.",
    "metadata": null,
    "allowedTools": null,
    "license": null,
    "default": { "id": "SV1234567890ABCD" }
  }'

요청

경로

idstringrequired
스킬 ID

본문

namestring

1-100 characters

스킬 이름
descriptionstring

1-1024 characters

스킬 설명
metadataRecord<string, string>?
스킬에 저장할 문자열 메타데이터
allowedToolsstring[]?
허용된 도구 식별자
licensestring?
스킬 라이선스
defaultobject
기본 버전 객체
default.idstring
기본 스킬 버전 ID

Example: SV1234567890ABCD

응답

204 No Content를 반환합니다.